<!DOCTYPE html>
<html lang="en" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
</head>
<body>

<nav th:fragment="menu">
    <ul>
        <li sec:authorize="hasRole('ADMIN') || hasRole('DISPATCHER')"><a th:href="@{/rescueActions}">Zgłoszenia</a></li>
        <li sec:authorize="hasRole('ADMIN') || hasRole('DISPATCHER')"><a th:href="@{/addRescueAction}">Dodaj zgłoszenie</a></li>
        <li sec:authorize="hasRole('ADMIN') || hasRole('DISPATCHER')"><a th:href="@{/map}"> Mapa</a></li>
        <li sec:authorize="hasRole('ADMIN')"><a th:href="@{/users}">Użytkownicy</a></li>
        <li sec:authorize="hasRole('ADMIN')"><a th:href="@{/ambulances}">Pojazdy</a></li>
        <li sec:authorize="hasRole('ADMIN')"><a th:href="@{/addUser}">Dodaj użytkowników</a></li>
        <li sec:authorize="hasRole('ADMIN')"><a th:href="@{/addAmbulance}">Dodaj pojazd</a></li>
        <div>
            <p style="color: white" th:inline="text">Witaj: [[${#httpServletRequest.remoteUser}]]!</p>
            <form th:action="@{/logout}" method="post">
                <input type="submit" value="Wyloguj">
            </form>
        </div>
    </ul>
</nav>
</body>
</html>
